Error Updating from 11.42.0.23 to 11.42.1.2

Lucas5504

Registered
Apr 15, 2007
4
0
151
This server has been on daily CURRENT updates since 2007. There have been no issues until this mornings update.
I would have thought that after 7 years sendmail would have been an issue before now. I assume I need to remove it from RPM?

Code:
[20140402.043311]   Staging new RPMS
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/rpm.md5[/url]
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/rpm.md5[/url]
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/courier-imap-4.15-1.cp1136.x86_64.rpm[/url]
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/cpanel-git-1.9.0-1.cp1136.x86_64.rpm[/url]
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/courier-authlib-devel-0.66.1-1.cp1136.x86_64.rpm[/url]
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/cpanel-awstats-7.0-5.cp1136.noarch.rpm[/url]
[20140402.043314]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-kronolith-4.1.3-2.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/cpanel-perl-514-cPanel-TaskQueue-0.606-1.cp1136.x86_64.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-Date-1.4.7-2.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-HTML-Template-IT-1.3.0-2.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/cpanel-perl-514-Mail-SpamAssassin-3.003002-4.cp1136.x86_64.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-HTTP-Request-1.4.4-2.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/courier-authlib-userdb-0.66.1-1.cp1136.x86_64.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-Net-FTP-1.3.7-2.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-5.4.23-3.cp1142.x86_64.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/courier-authlib-0.66.1-1.cp1136.x86_64.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-imp-6.1.4-3.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-HTTP-1.4.1-2.cp1142.noarch.rpm[/url]
[20140402.043315]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/cpanel-libxml2-2.9.1-1.cp1136.x86_64.rpm[/url]
[20140402.043316]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/courier-authlib-pipe-0.66.1-1.cp1136.x86_64.rpm[/url]
[20140402.043316]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.42/centos/5/x86_64/cpanel-php54-MDB2-2.4.1-2.cp1142.noarch.rpm[/url]
[20140402.043316]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/exim-4.82-3.cp1136.x86_64.rpm[/url]
[20140402.043317]   All files Staged
[20140402.043317]   Testing if the newly downloaded RPMS can be installed without conflict
[20140402.043317]   Testing RPM transaction
[20140402.043321]   error: Failed dependencies:
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-devel-8.13.8-8.1.el5_7.i386
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-doc-8.13.8-8.1.el5_7.x86_64
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-cf-8.13.8-8.1.el5_7.x86_64
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-devel-8.13.8-8.1.el5_7.x86_64
[20140402.043321] W Exit Code: 20
[20140402.043321] ***** FATAL: Test install failed: error: Failed dependencies:
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-devel-8.13.8-8.1.el5_7.i386
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-doc-8.13.8-8.1.el5_7.x86_64
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-cf-8.13.8-8.1.el5_7.x86_64
[20140402.043321]       sendmail = 8.13.8-8.1.el5_7 is needed by (installed) sendmail-devel-8.13.8-8.1.el5_7.x86_64
[20140402.043321]   The Administrator will be notified to review this output when this script completes
[20140402.043321] ***** FATAL: Error testing if the RPMs will install: Died at /usr/local/cpanel/scripts/updatenow.static-cpanelsync line 14055.
[20140402.043321]   see [url]http://go.cpanel.net/rpmcheckfailed[/url] for more information
[20140402.043321]   The Administrator will be notified to review this output when this script completes
[20140402.043321] E Detected events which require user notification during updatenow. Will send iContact the log
[20140402.043321]   Removing staged files and directories for binaries/linux-x86_64, cpanel
[20140402.043322]   Removing staged files and directories for x3
[20140402.043322]   Removing staged files and directories for x3mail
=> Log closed Wed Apr  2 04:33:22 2014
[20140402.043322]   17% complete
[20140402.043322] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1396430822.log` failed, exited with code 1 (signal = 0)
=> Log closed Wed Apr  2 04:33:23 2014
 

es2alna

Well-Known Member
Mar 30, 2014
67
0
6
Egypt
cPanel Access Level
Root Administrator
Its now better to fallback to stable or release and force an update:
Code:
/scipts/upcp --force
and check if this fixes your issue.

Note: Its not recommended to use CURRENT or EDGE on a production server.

Thanks,
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,909
2,228
463
Hello :)

Forcing a cPanel update is not likely to resolve this issue. Instead, it's better to address the RPM conflict directly. First, check to see which sendmail RPMs are installed:

Code:
rpm -qa|grep sendmail
Are you using a third-party application that uses the sendmail RPMs?

Thank you.
 

Lucas5504

Registered
Apr 15, 2007
4
0
151
Hello :)

First, check to see which sendmail RPMs are installed:
...
Are you using a third-party application that uses the sendmail RPMs?

Thank you.
Code:
[[email protected] ~]# rpm -qa|grep sendmail
sendmail-cf-8.13.8-8.1.el5_7
sendmail-devel-8.13.8-8.1.el5_7
sendmail-doc-8.13.8-8.1.el5_7
sendmail-8.13.8-8.1.el5_7
sendmail-devel-8.13.8-8.1.el5_7

[[email protected] ~]# rpm -qa --last|grep sendmail
sendmail-doc-8.13.8-8.1.el5_7                 Sun Mar  9 12:18:27 2014
sendmail-devel-8.13.8-8.1.el5_7               Sun Mar  9 12:18:27 2014
sendmail-cf-8.13.8-8.1.el5_7                  Sun Mar  9 12:18:27 2014
sendmail-devel-8.13.8-8.1.el5_7               Sun Mar  9 12:18:26 2014
sendmail-8.13.8-8.1.el5_7                     Sun Mar  9 12:18:16 2014
According to my logs the only major event on March 9 was the running of EasyApache to upgrade PHP to version 5.3.28

Thank You
 

es2alna

Well-Known Member
Mar 30, 2014
67
0
6
Egypt
cPanel Access Level
Root Administrator
Hello :)

Forcing a cPanel update is not likely to resolve this issue. Instead, it's better to address the RPM conflict directly. First, check to see which sendmail RPMs are installed:

Code:
rpm -qa|grep sendmail
Are you using a third-party application that uses the sendmail RPMs?

Thank you.
It will be the first step of solving the issue as the CURRENT is not recommended to use.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,909
2,228
463
Lucas5504 said:
[[email protected] ~]# rpm -qa|grep sendmail
sendmail-cf-8.13.8-8.1.el5_7
sendmail-devel-8.13.8-8.1.el5_7
sendmail-doc-8.13.8-8.1.el5_7
sendmail-8.13.8-8.1.el5_7
sendmail-devel-8.13.8-8.1.el5_7
Try removing those RPMs. EX:

Code:
rpm -e --justdb --nodeps  sendmail-8.13.8-8.1.el5_7
rpm -e --justdb --nodeps  sendmail-devel-8.13.8-8.1.el5_7
rpm -e --justdb --nodeps  sendmail-cf-8.13.8-8.1.el5_7
rpm -e --justdb --nodeps  sendmail-doc-8.13.8-8.1.el5_7
Then, check to see if the cPanel update completes successfully and reinstalls the required RPMs.

It will be the first step of solving the issue as the CURRENT is not recommended to use.
While it's true that using the "Current" build tier is not recommended on a production machine, I don't believe a cPanel update will help in this particular case. If the cPanel updates are not completing, then switching to a different build tier would also fail. It's better to address the issue at-hand first, and then change build tiers if the user feels it's necessary.

Thanks.